Summary: 	Network traffic analyzer
Name: 		ethereal
Version:	0.9.16
Release:	0.90.1
License: 	GPL
Group: 		Applications/Internet
Source0: 	http://www.ethereal.com/distribution/%{name}-%{version}.tar.bz2
Source1:	ethereal.pam
Source2:	ethereal.console
Source3:	ethereal.desktop
Source4:	ethereal.png
Patch0:		ethereal-0.9.11-pcap.patch
Url: 		http://www.ethereal.com/
BuildRoot: 	%{_tmppath}/%{name}-root
Requires: 	libpcap >= 0.6
Requires: 	net-snmp >= 5.0
BuildRequires: 	gtk+-devel >= 1.2
BuildRequires: 	libpcap >= 0.6
BuildRequires: 	net-snmp-devel >= 5.0
BuildRequires: 	net-snmp-utils >= 5.0
BuildRequires: 	zlib-devel
BuildRequires:  openssl-devel


%package	gnome
Summary:	Red Hat Gnome integration for ethereal and ethereal-usermode
Group:		Applications/Internet
Requires: 	gtk+ >= 1.2
Requires:	usermode >= 1.37
Requires:	ethereal = %{version}-%{release}


%description
Ethereal is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering 
library, contains command-line utilities, contains plugins and 
documentation for ethereal. A graphical user interface is packaged 
separately to GTK+ package.

%description gnome
Contains ethereal for Gnome 1.2 and desktop integration file


%prep
%setup -q
%patch0 -p1 -b .pcap

aclocal
automake --add-missing
autoconf
autoheader

%build
#export CPPFLAGS='-DUCD_COMPATIBLE -DNET_SNMP_VERSION_H -DNetSnmpVersionInfo="\"5.0.1\""'
export CFLAGS="$RPM_OPT_FLAGS $CPPFLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS $CPPFLAGS"
%configure \
   --bindir=%{_sbindir} \
   --enable-zlib \
   --enable-ipv6 \
   --with-net-snmp \
   --with-gnu-ld \
   --disable-static \
   --disable-usr-local \
   --with-plugindir=%{_libdir}/%{name}/plugins/%{version}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# install support files for usermode, gnome and kde
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/ethereal
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/ethereal
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT/%{_bindir}/ethereal

# install man
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 *.1 $RPM_BUILD_ROOT/%{_mandir}/man1

# Install pythin stuff.
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/python2.2/site-packages
install -m 644 ethereal_be.py ethereal_gen.py  $RPM_BUILD_ROOT/%{_libdir}/python2.2/site-packages
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/applications/net-ethereal.desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* doc/
%{_sbindir}/editcap
%{_sbindir}/idl2eth
%{_sbindir}/tethereal
%{_sbindir}/mergecap
%{_sbindir}/text2pcap
%{_libdir}/python2.2/site-packages
%{_mandir}/man1/editcap.*
%{_mandir}/man1/tethereal.*
%{_mandir}/man1/idl2eth.*
%{_mandir}/man1/mergecap.*
%{_mandir}/man1/text2pcap.*
%{_mandir}/man4/ethereal-filter.*
%{_libdir}/ethereal
%{_sysconfdir}/pam.d/ethereal
%{_sysconfdir}/security/console.apps/ethereal
%{_datadir}/ethereal

%files gnome
%defattr(-,root,root)
%{_datadir}/applications/net-ethereal.desktop
%{_datadir}/pixmaps/ethereal.png
%{_bindir}/ethereal
%{_sbindir}/ethereal
%{_mandir}/man1/ethereal.*


%changelog
* Wed Nov 05 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.16-0.90.1
- Updated to latest upstream version 0.9.16
- Make security errata.

* Wed Sep 17 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-4.1
- rebuilt

* Wed Sep 17 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-4
- rebuilt

* Tue Jul 22 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-3.1
- rebuilt

* Tue Jul 22 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-3
- Enable ia64 again, compiler problem is fixed. :-)

* Tue Jul 15 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-2
- rebuilt

* Mon Jul 14 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-1.2
- Disabled ia64 due to compiler problems.

* Tue Jun 17 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-1.1
- rebuilt

* Tue Jun 17 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.13-1
- Updated to 0.9.13 for security reasons.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 15 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.11-3
- Bump release and rebuild.

* Fri Mar 28 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.11-2
- Updated to latest upstream version 0.9.11

* Mon Mar 10 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.9-3
- Fixed pam file bug (#85793).

* Fri Feb 28 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.9-2
- Update to 0.9.9.

* Wed Feb 19 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.8-6
- Fixed unecessary SIG_IGN for SIGCHLD (#84094).

* Thu Jan 23 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.8-5
- Fixed overflow bug in time display (#80943, 2nd part).
- Reenabled autoFOO stuff as ia64 has problems building.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.9.8-4
- rebuilt

* Tue Jan 14 2003 Phil Knirsch <pknirsch@redhat.com> 0.9.8-3
- Fixed bug #80943 (old .desktop file).
- Some cleanup with sources.

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.8-2
- Rebuild.

* Thu Dec 19 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.8-1
- Updated to 0.9.8. Fixes security bug (#79490).
- Included Swedish translation for desktop entry (#71874).

* Mon Nov 11 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.7-2
- Remove directory names from the PAM config, allowing it to work for both
  arches on multilib boxes.
- Drop the Icon: from the package.

* Thu Nov 08 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.7-1
- Included a few more nifty tools in from newer releases.
- Fixed a couple of broken %files things.
- Update to 0.9.7

* Wed Aug 21 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.6-1
- Update to 0.9.6 because of another security problem.

* Wed Aug 07 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.5-3
- Desktop file fixes (#69386).

* Tue Jul 30 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.5-2
- Added support for pam timestamp.
- Remove unnecessary gnome-core requirement for ethereal-gnome.

* Mon Jul 15 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.5-1
- Updated to latest released version.

* Thu Jun 27 2002 Elliot Lee <sopwith@redhat.com> 0.9.4-5
- Put -DUCD_COMPATIBLE (and a bunch of other BadHacks) into CPPFLAGS
  so that it really builds with new net-snmp

* Thu Jun 27 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.4-4
- Bumped and rebuild in new environment.
- Changed requirement to net-snmp from ucd-snmp.
- Added -DUCD_COMPATIBLE to build with new net-snmp.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.9.4-3
- automated rebuild

* Tue Jun 18 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.4-2
- Fixed wrong gtk requirement on base package (#66866).

* Mon Jun 03 2002 Phil Knirsch <pknirsch@redhat.com> 0.9.4-1
- Update to 0.9.4

* Thu May 23 2002 Tim Powers <timp@redhat.com> 0.9.3-4
- automated rebuild

* Mon Apr 15 2002 Tim Powers <timp@redhat.com>
- rebuilt in new environment

* Mon Apr 15 2002 Tim Powers <timp@redhat.com>
- rebuilt against updated ucd-snmp

* Sun Apr 14 2002 Phil Knirsch <pknirsch@redhat.com>
- Updated to latest release (0.9.3) due to security fixes (#63260).

* Tue Mar 26 2002 Phil Knirsch <pknirsch@redhat.com>
- Bump release number to avoid conflicts with rawhide.
- Changed description of ethereal-gnome package to be more precise about the
  intention of this package (#57980)

* Thu Jan 24 2002 Phil Knirsch <pknirsch@redhat.com>
- Moved ethereal binary to the gnome package as it won't run without gnome (bug
  #55632).

* Sat Jan 12 2002 Pekka Savola <pekkas@netcore.fi>
- update 0.8.18-9 -> 0.9.0-1
- enable IPv6 now that it is being supported without patches
- require libpcap 0.6

* Thu Jul 19 2001 Phil Knirsch <pknirsch@redhat.de>
- Changed the BuildPrereq for openssl to openssl-devel (#49429)

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- removed packager tag to satisfy rpmlint
- don't include the .directory file
- added dep on usermode for ethereal
- moved the desktop files from Applications/Network to Internet

* Tue Jun 26 2001 Bill Nottingham <notting@redhat.com>
- rebuild in new environment again (ucd-snmp)

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment (ucd-snmp)

* Wed Jun 13 2001 Helge Deller <hdeller@redhat.de>
- Copyright is now License
- moved to group Applications/Internet

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- merged gtk/gnome packages into the gnome package
- merged the base and usermode packages into the main ethereal package

* Thu May 17 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.18
- Many improvement, take a look at NEWS in %{doc}
- Reduced the changelog history in .spec 

* Thu Apr 26 2001 Henri Gomez <hgomez@slib.fr>
- rebuilt under Redhat 6.2 + updates 
- reverted from rpm 4.0.2 to 3.0.5 for better compatibility with Redhat 6.x
- thanks Riku for the great refactory of the spec

* Thu Apr 26 2001 Riku Meskanen <mesrik@iki.fi>
- new binary package rearrangement, separated stuff that needs X11
- I changed, and I'm proposing group to Applications/Network for now ... as 
  the /usr/share/doc/rpm-*/GROUPS 'official' list does not have appropriate
  group for networking applications and leads them to be scattered around.
  The tcpdump is now at System/Internet and nmap from Applications/System, 
  the X11/* group is now on current distros mostly dead ... the X11/* tree 
  seems to still live on contrib packages. Well if it's necessary to show X11
  in group-name, I would rather suggest then Applications/Network{,ing}/X11 
  would make more sense and keep all applications closer together and all 
  it's bits and bobs easier locatable on multiple packages are built from
  one source package.

* Mon Apr 23 2001 Riku Meskanen <mesrik@iki.fi>
- rebuilt for RedHat 7.1
- created support for usermode
- added icons & config files for gnome and kde desktop integration
- added %dir %{_libdir}/ethereal/plugins to get clean uninstall
- further spec file minor cleaning, converted absolute paths to
  macros for better relocatability

* Sun Apr 16 2001  Henri Gomez <hgomez@slib.fr>
- 0.8.17 (grabbed corrected 0.8.17a archive)
- RPM built on Redhat 6.2, updates, rpm 4.0

* Tue Mar 06 2001 Henri Gomez <hgomez@slib.fr>
- 0.8.16
- RPM built on Redhat 6.1, updates, rpm 3.0.5 and libpcap-0.4-19
- ucd-snmp used 0.4.2-5 (added -lcrypto)
